Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057250 - [RFE] automatic resume of interrupted uploads
Summary: [RFE] automatic resume of interrupted uploads
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Pulp
Classification: Retired
Component: z_other
Version: Master
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
: ---
Assignee: pulp-bugs
QA Contact: pulp-qe-list
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-23 17:22 UTC by Dennis Gregorovic
Modified: 2015-02-28 23:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-19 01:12:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Pulp Redmine 218 None None None Never

Description Dennis Gregorovic 2014-01-23 17:22:49 UTC
The pulp-admin cli has the ability to resume an interrupted upload, for example if the user hits ctrl-c.  I've found that when doing many uploads, or when uploading larger files like ISOs, it's not uncommon for an upload to get interrupted due to a network hiccup.  In these cases, it would be helpful in the pulp-admin client automatically attempted the resume the upload.  For example, wait 15 seconds and then try again.  Retry 3 times before giving up.

Comment 1 Brian Bouterse 2015-02-19 01:12:34 UTC
Moved to https://pulp.plan.io/issues/218


Note You need to log in before you can comment on or make changes to this bug.